summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
Diffstat (limited to 'network')
-rw-r--r--network/postfix/README4
-rw-r--r--network/postfix/doinst.sh7
-rw-r--r--network/postfix/postfix.SlackBuild56
-rw-r--r--network/postfix/postfix.info10
-rw-r--r--network/postfix/slack-desc2
5 files changed, 34 insertions, 45 deletions
diff --git a/network/postfix/README b/network/postfix/README
index fd9bcf5d7b..1004bc808c 100644
--- a/network/postfix/README
+++ b/network/postfix/README
@@ -13,7 +13,7 @@ for MySQL and Postgres. This script should find support for BerkleyDB
and PCRE automagically, so no special options are required. Further,
this script builds postfix with TLS support and requires that openssl
be installed. openssl-solibs is not enough. You can find a SlackBuild
-script for Dovecot at http://www.slackbuilds.org/ but you do not need
+script for Dovecot at http://www.SlackBuilds.org/ but you do not need
to install it to use this package without SASL.
A couple things to remember about postfix:
@@ -23,7 +23,7 @@ A couple things to remember about postfix:
should NOT be a member of the postdrop group. The script *WILL*
offer some sane defaults that won't conflict with the canonical
users and groups, and shouldn't conflict with any other scripts
- downloaded from slackbuilds.org that require their own uids and
+ downloaded from SlackBuilds.org that require their own uids and
gids
- many of the utilities in postfix have multiple manpages such as
postconf(5) and postconf(8). Use man -k to find them.
diff --git a/network/postfix/doinst.sh b/network/postfix/doinst.sh
index b1b16d9f02..5a4c96e902 100644
--- a/network/postfix/doinst.sh
+++ b/network/postfix/doinst.sh
@@ -2,11 +2,11 @@
config() {
NEW="$1"
- OLD="`dirname $NEW`/`basename $NEW .new`"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
- elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
rm $NEW
fi
# Otherwise, we leave the .new copy for the admin to consider...
@@ -33,3 +33,6 @@ config etc/rc.d/rc.postfix.new
# This will set the permissions on all postfix files correctly
postfix set-permissions
+
+# Symlinks added by makepkg(8)
+
diff --git a/network/postfix/postfix.SlackBuild b/network/postfix/postfix.SlackBuild
index bb481e1c10..0c5b1ac7c6 100644
--- a/network/postfix/postfix.SlackBuild
+++ b/network/postfix/postfix.SlackBuild
@@ -19,14 +19,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-set -e
-
PRGNAM="postfix"
-VERSION="2.4.1"
+VERSION="2.5.5"
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG="$TMP/pkg-$PRGNAM"
OUTPUT=${OUTPUT:-/tmp}
@@ -37,6 +36,8 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
CFLAGS=${CFLAGS:-$SLKCFLAGS}
config_directory=/etc/postfix
@@ -57,8 +58,7 @@ if ! grep ^postfix: /etc/passwd 2>&1 > /dev/null; then
cat << EOF
- Must have a postfix user to run this script
- Otherwise your permissions will be FUBAR
+ You must have a postfix user to run this script
# groupadd -g 200 postfix
# useradd -u 200 -d /dev/null -s /bin/false -g postfix postfix
@@ -70,8 +70,7 @@ elif ! grep ^postdrop: /etc/group 2>&1 > /dev/null; then
cat << EOF
- Must have a postdrop group to run this script
- Otherwise your permissions will be FUBAR
+ You must have a postdrop group to run this script
# groupadd -g 201 postdrop
@@ -80,11 +79,10 @@ EOF
exit
fi
-# Alan Hicks, 2006.11.10
-# Phase this out. Replace with chroot postfix set-permissions
-# in doinst.sh.
+# Alan Hicks, 2008.03.26
+# This should be phased out by now, but I'm leaving it in here
+# for historical purposes only.
fix_perms() {
-
config_directory=$PKG/etc/postfix
daemon_directory=$PKG/usr/libexec/postfix
command_directory=$PKG/usr/sbin
@@ -97,10 +95,8 @@ manpage_directory=$PKG/usr/man
readme_directory=$PKG/usr/doc/$PRGNAM-$VERSION/README_FILES
mail_owner=postfix
setgid_group=postdrop
-
# Any line beginning with # is a comment.
if echo $line | grep -v "^#" 2>&1 > /dev/null; then
-
FILE="$(echo $line | awk -F: '{ print $1 }')"
FILE_PREFIX="$(echo $FILE | cut -f 1 -d '/')"
FILE_SUFFIX="$(echo $FILE | cut -f 2- -d '/')"
@@ -108,7 +104,6 @@ if echo $line | grep -v "^#" 2>&1 > /dev/null; then
OWNER="$(echo $line | awk -F: '{ print $3 }')"
GROUP="$(echo $line | awk -F: '{ print $4 }')"
PERMS="$(echo $line | awk -F: '{ print $5 }')"
-
# skip this interation if the line we're fed is no good
if [ "$TYPE" = "h" ]; then
continue
@@ -117,23 +112,19 @@ if echo $line | grep -v "^#" 2>&1 > /dev/null; then
elif [ "$FILE_PREFIX" = "\$sample_directory" ]; then
continue
fi
-
# Tag the actual groups
if [ "$GROUP" = "-" ]; then
GROUP=root
elif [ "$GROUP" = "\$setgid_group" ]; then
GROUP="$setgid_group"
fi
-
# Tag the postfix owner
if [ "$OWNER" = "\$mail_owner" ]; then
OWNER="$mail_owner"
fi
-
if [ "$FILE_SUFFIX" = "$FILE_PREFIX" ]; then
FILE_SUFFIX=""
fi
-
if [ "$FILE_PREFIX" = "\$config_directory" ]; then
chown $OWNER:$GROUP $config_directory/$FILE_SUFFIX
chmod $PERMS $config_directory/$FILE_SUFFIX
@@ -161,16 +152,13 @@ if echo $line | grep -v "^#" 2>&1 > /dev/null; then
else
echo "NOT FOUND!!! : $FILE_PREFIX"
fi
-
fi
-
}
-
rm -fr $PKG $TMP/$PRGNAM-$VERSION
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
# TLS, and SASL support
@@ -204,24 +192,23 @@ make non-interactive-package \
mkdir -p $PKG/install $PKG/etc/rc.d $PKG/usr/doc/$PRGNAM-$VERSION
-# Documentation mangling. :^)
-cp -a AAAREADME COMPATIBILITY COPYRIGHT HISTORY IPv6-ChangeLog LICENSE \
- PORTING RELEASE_NOTES TLS_ACKNOWLEDGEMENTS TLS_CHANGES TLS_LICENSE \
- TLS_TODO US_PATENT_6321267 \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -r AAAREADME COMPATIBILITY COPYRIGHT HISTORY IPv6-ChangeLog LICENSE \
+ PORTING RELEASE_NOTES TLS_ACKNOWLEDGEMENTS TLS_CHANGES TLS_LICENSE \
+ US_PATENT_6321267 implementation-notes examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/postfix.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/postfix.SlackBuild
install -m 0755 $CWD/rc.postfix $PKG/etc/rc.d/rc.postfix.new
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-# Strip binaries and libraries - this can be done with 'make install-strip'
-# in many source trees, and that's preferable if so, but if not, use this
-find $PKG -type f | (while read LINE; do
-if file $LINE | egrep "ELF.*(executable|shared object).*not stripped" &> /dev/null; then
+find $PKG -type f | \
+ ( while read LINE; do
+ if file $LINE | egrep "ELF.*(executable|shared object).*not stripped" \
+ &> /dev/null; then
strip $LINE
-fi
-done)
+ fi
+ done )
gzip -9 $PKG/usr/man/*/*
@@ -241,6 +228,5 @@ do \
mv $i $i.new ;
done
-# Alright, let's make it.
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/postfix/postfix.info b/network/postfix/postfix.info
index 536d73983b..6c8d31c196 100644
--- a/network/postfix/postfix.info
+++ b/network/postfix/postfix.info
@@ -1,8 +1,8 @@
PRGNAM="postfix"
-VERSION="2.4.1"
+VERSION="2.5.5"
HOMEPAGE="http://www.postfix.org/"
-DOWNLOAD="http://www.subneural.net/postfix-release/official/postfix-2.4.1.tar.gz"
-MD5SUM="dbe8af1e7c7a7755352218cba7a5ba11"
-MAINTAINER="Alan_Hicks"
+DOWNLOAD="http://www.subneural.net/postfix-release/official/postfix-2.5.5.tar.gz"
+MD5SUM="6b4b848bdd2239dddfc9d385e57e19ef"
+MAINTAINER="Alan Hicks"
EMAIL="alan@lizella.net"
-APPROVED="Alan_Hicks,rworkman"
+APPROVED="rworkman"
diff --git a/network/postfix/slack-desc b/network/postfix/slack-desc
index 5f9a865c39..5a7988b5a7 100644
--- a/network/postfix/slack-desc
+++ b/network/postfix/slack-desc
@@ -14,6 +14,6 @@ postfix: users. Thus, the outside has a sendmail-ish flavor, but the inside is
postfix: completely different.
postfix:
postfix: Packaging script written by Alan Hicks <alan@lizella.net>
-postfix: and the SlackBuilds.org Team http://www.slackbuilds.org
+postfix: and the SlackBuilds.org Team <http://www.slackbuilds.org>
postfix:
postfix: